# RPM specfile for Storable module
# Generated Tue Jun 12 10:49:01 2001 GMT by Ximian build system
# $Id: bb_do,v 1.115 2001/05/15 16:23:38 frb Exp $
# from $Id: ximian-build.conf,v 1.1 2001/05/08 15:33:03 peter Exp $

%define nam	Storable
%define ver	1.0.11

Name:     	perl-Storable
Version: 	1.0.11
Release:	ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.0 / i586
Copyright:	Artistic
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.cpan.org/
Source0:	Storable-1.0.11.tar.gz
Summary:	Storable extension for Perl5
Group:		Development/Perl

%description
This package provides an interface to store and retrieve any data
structures to disk, no matter how complex and circular it is,
provided it contains only SCALAR, ARRAY, HASH and references to those
items, blessed or not.

%files
%defattr(-, root, root)
%doc ChangeLog README
/usr/lib/perl5


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n Storable-1.0.11
    ;;
all)
%setup  -q -n Storable-1.0.11
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export MAKE RPM_COMMAND DESTDIR
case "$RPM_COMMAND" in
prepare|all)
    perl Makefile.PL INSTALLDIRS=perl
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE} OPTIMIZE="-O2 -g -Wall"; ${MAKE} test
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} PREFIX=${DESTDIR}/usr install; find ${DESTDIR} -type f -name .packlist |xargs -r rm -f; find ${DESTDIR} -type f -name perllocal.pod |xargs -r rm -f; find ${DESTDIR} -type d -empty |xargs -r rmdir -p --ignore-fail-on-non-empty
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
